Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 713866 - sys-libs/db-6.0.35-r2[java] fails to build with dev-java/openjdk-bin-11.0.6_p10
Summary: sys-libs/db-6.0.35-r2[java] fails to build with dev-java/openjdk-bin-11.0.6_p10
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-03-21 22:48 UTC by Kenton Groombridge
Modified: 2020-03-22 14:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Modified ebuild that prevents the javac error. (db-6.0.35-r2.ebuild,7.00 KB, text/plain)
2020-03-21 22:49 UTC, Kenton Groombridge
Details
Patch for configure.ac so that it accepts java 11 (configureac.patch,446 bytes, patch)
2020-03-21 22:50 UTC, Kenton Groombridge
Details | Diff
Build log before using modified ebuild and configure.ac patch (build.log,13.45 KB, text/x-log)
2020-03-21 23:08 UTC, Kenton Groombridge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenton Groombridge 2020-03-21 22:48:23 UTC
The configure script fails in two places when attempting to build sys-libs/db-6.0.35-r2 with dev-java/openjdk-bin-11.0.6_p10. First error is:

checking if /opt/openjdk-bin-11.0.6_p10/bin/javac works... configure: error: The Java compiler /opt/openjdk-bin-11.0.6_p10/bin/javac failed (see config.log, check the CLASSPATH?)


Second error, after modifying ebuild, is:

configure: error: Java version 1.3 or higher required, got 11.0.6

Attaching ebuild (likely not the right way to to it, but it gets me passed the first problem), and a configureac.patch file which gets me passed the second problem.



Reproducible: Always

Steps to Reproduce:
1.emerge sys-libs/db
2.
3.



emerge --info
Portage 2.3.94 (python 3.6.10-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-9.3.0, glibc-2.30-r6, 5.5.10-gentoo x86_64)
=================================================================
System uname: Linux-5.5.10-gentoo-x86_64-Intel-R-_Core-TM-_i7-4700MQ_CPU_@_2.40GHz-with-gentoo-2.7
KiB Mem:    16316048 total,  10546740 free
KiB Swap:   16777212 total,  16776188 free
Timestamp of repository gentoo: Fri, 20 Mar 2020 23:14:47 +0000
Head commit of repository gentoo: 49b4b821c2a89d08defcf832e00a34ed17ac7c9c

sh bash 5.0_p16
ld GNU ld (Gentoo 2.34 p1) 2.34.0
app-shells/bash:          5.0_p16::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17-r1::gentoo, 3.6.10::gentoo, 3.7.7::gentoo, 3.8.2::gentoo
dev-util/cmake:           3.17.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.1-r2::gentoo
sys-devel/binutils:       2.34::gentoo
sys-devel/gcc:            9.3.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.5::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://192.168.1.115/portage
    priority: -1000

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ace
    location: /var/lib/layman/ace
    masters: gentoo
    priority: 50

pentoo
    location: /var/lib/layman/pentoo
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* @EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/vmware-installer"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://192.168.1.115/ ftp://192.168.1.100/ ftp://mirror.datapipe.net/gentoo rsync://mirrors.rit.edu/gentoo/ http://mirrors.rit.edu/gentoo/ ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/ ftp://gentoo.mirrors.tds.net/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus acpi activities afpacket alsa alsa-plugin amd64 bbswitch berkdb binary-drivers bluetooth branding bzip2 cairo caps-ng cdda cddb cdr cli client crypt cups dbus declarative dhcpcd dri dri3 dts dvb dvd dvdr efi efiemu elogind emboss encode evdev exif external-fuse fdk ffmpeg flac foomatic fortran gdbm gif git gles gles2 gpm gstreamer gtk gtk3 hex hpcups hpijs hpn iconv icu ipv6 java javafx javascript jit jpeg kipi kwallet lcms ldap legacy-systray libglvnd libnotify libtirpc lightdm mad maxminddb mjpeg mng mp3 mp4 mpeg mtp multilib native-exceptions ncurses nfs nfsv4 nls nptl nsplugin nss ntfsprogs ntp nvidia objc offensive ogg openal opengl openmp openssl ovftool pam pango pcap pcre pcsc-lite pdf phonon pkcs11 plasma png policykit postproc ppds prelink proprietary-codecs pulseaudio python qemu qml qt5 rar rdp readline realtime samba sdl sdl2 seccomp secure-delete semantic-desktop shm smartcard sna spell split-usr sqlite ssl startup-notification svc svg taglib tcpd theora threads tiff touchpad truetype udev udisks unicode upower usb uvm uxa v4l2 vaapi vdpau vix vnc vorbis vpx vulkan wayland widevine widgets wifi winbind wma wxwidgets x264 x265 xa xattr xcb xcomposite xine xinetd xml xnest xorg xv xvid xvmc zip zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="keyboard evdev synaptics void" KERNEL="linux" L10N="en en_US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6 python3_7 python3_8" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia vgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Kenton Groombridge 2020-03-21 22:49:54 UTC
Created attachment 624112 [details]
Modified ebuild that prevents the javac error.
Comment 2 Kenton Groombridge 2020-03-21 22:50:58 UTC
Created attachment 624114 [details, diff]
Patch for configure.ac so that it accepts java 11
Comment 3 Kenton Groombridge 2020-03-21 23:08:47 UTC
Created attachment 624132 [details]
Build log before using modified ebuild and configure.ac patch
Comment 4 Mike Gilbert gentoo-dev 2020-03-22 01:28:35 UTC
(In reply to Kenton Groombridge from comment #1)
> Created attachment 624112 [details]
> Modified ebuild that prevents the javac error.

If possible, please provide a patch against gentoo.git using git-format-patch.
Comment 5 Mike Gilbert gentoo-dev 2020-03-22 01:51:05 UTC
configure.ac in db-18.x uses this pattern, which is different from what you provided in your patch.

> 1.[[3456789]]* | 1.[[1-9]][[0-9]]* | [[23456789]]* | [[1-9]][[0-9]]*.*.* ) ;;
Comment 6 Kenton Groombridge 2020-03-22 14:55:13 UTC
(In reply to Mike Gilbert from comment #4)
> (In reply to Kenton Groombridge from comment #1)
> > Created attachment 624112 [details]
> > Modified ebuild that prevents the javac error.
> 
> If possible, please provide a patch against gentoo.git using
> git-format-patch.

I am sure my fix to the ebuild isn't the correct way to do it. I just wanted to get it to work on my system.  I searched a bit for a more proper way to do this, but came up short. I changed the following line in the original ebuild:

  --with-javac-flags="$(java-pkg_javac-args)"

to:

  --with-javac-flags="-source 1.6 -target 1.6"